[Tinyos-help] warnings while checking a xubuntos virtual mmachine image in vmware

Mitra Baratchi mitmit64 at yahoo.com
Wed Apr 14 03:13:55 PDT 2010


Hi

Im doing my project on wireless sensor networks and I want to do the simulation with Tossim,,  Ive followed the instruction on http://docs.tinyos.net/index.php/Running_a_XubunTOS_Virtual_Machine_Image_in_VMware_Player to run the tinyos on the vmware in windows,, but when i try to check the tinyos with the tos-check-env  command i get a lot of warnings,, I cant edit .bashrc because Im not root <
i cant install gedit (to edit the .bashrc in command line) either because It says it cant download the packages,, I cant install graphviz due to the same reason,, Im so frustratedm anything I do I cant fix this warnings,, could you help me please? I would really appreciate it

Best regards

xubuntos at xubuntos-tinyos:/opt/tinyos-2.0.2/support/make$ tos-check-env
Path:
        /usr/local/sbin
        /usr/local/bin
        /usr/sbin
        /usr/bin
        /sbin
        /bin
        /usr/games

Classpath:
        /opt/tinyos-2.1.0/support/sdk/java/tinyos.jar.
        /opt/tinyos-2.1.0/support/sdk/java

--> WARNING: CLASSPATH may not include '.' (that is,  the symbol for the current working directory). Please add '.' to your CLASSPATH or you may experience configuration problems.


rpms:
        /usr/bin/rpm


nesc:
        /usr/bin/nescc
        Version: nescc: 1.3.0


perl:
        /usr/bin/perl
        Version: v5.8.8 built for i486-linux-gnu-thread-multi

flex:

bison:

java:
        /usr/bin/java
        java version "1.5.0_11"

graphviz:
        /usr/bin/dot
        dot version 2.8 (Wed Dec 20 14:50:18 UTC 2006)

--> WARNING: The graphviz (dot) version found by tos-check-env is not 1.10. Please update your graphviz version if you'd like to use the nescdoc documentation generator.


tos-check-env completed with errors:

--> WARNING: CLASSPATH may not include '.' (that is,  the symbol for the current working directory). Please add '.' to your CLASSPATH or you may experience configuration problems.
--> WARNING: The graphviz (dot) version found by tos-check-env is not 1.10. Please update your graphviz version if you'd like to use the nescdoc documentation generator.

Mitra 



      


More information about the Tinyos-help mailing list